<?xml version="1.0"?>
<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <title>
      TextGrid : Features of the Source View
    </title>
    <link rel="stylesheet" href="styles/site.css" type="text/css"/>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
  </head>
  <body class="theme-default aui-theme-default">
    <div id="page">
      <div id="main" class="aui-page-panel">
        <div id="main-header">
          <div id="breadcrumb-section">
            <ol id="breadcrumbs">
              <li class="first">
                <span><a href="index.html">TextGrid</a></span>
              </li>
              <li>
                <span><a href="User-Manual-2.0_7439056.html">User Manual 2.0</a></span>
              </li>
              <li>
                <span><a href="General-Object-Editing_7440089.html">General Object Editing</a></span>
              </li>
              <li>
                <span><a href="XML-Editor_7439318.html">XML Editor</a></span>
              </li>
              <li>
                <span><a href="Editor-Field_7439334.html">Editor Field</a></span>
              </li>
              <li>
                <span><a href="Source-View_7439338.html">Source View</a></span>
              </li>
            </ol>
          </div>
          <h1 id="title-heading" class="pagetitle">
            <span id="title-text">TextGrid : Features of the Source View</span>
          </h1>
        </div>
        <div id="content" class="view">
          <div class="page-metadata">
            Created by <span class="author">Celia Krause</span>, last modified by <span class="editor">Oliver Schmid</span> on Jun 18, 2012
          </div>
          <div id="main-content" class="wiki-content group">
            <p class="subsubsectionHead">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Syntax Highlighting</span></span></strong>
            </p>
            <p class="noindent">
              <span class="paragraphHead"> </span>Tag elements (attributes, values, etc.) as well as comments in the Source View are highlighted differently to facilitate orientation in the source code and detection of syntax errors. You can customize the syntax highlighting in the editor-relevant preferences.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Unlimited Undo and Redo</span></span></strong>
            </p>
            <p class="noindent">
              <span class="paragraphHead"> </span>To undo or redo a change made to a document, click “Edit <span class="cmmi-10x-x-109">&gt;</span> Undo” or “Edit <span class="cmmi-10x-x-109">&gt;</span> Redo” in the menu bar above. Alternatively, right-click in the Editor Field and select the corresponding entry “Undo Text Change”. You can undo and redo every change made to a file for the entire editing session.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Node Selection</span></span></strong>
            </p>
            <p class="noindent">
              Depending on the position of the cursor in the editor, the node selection indicator highlights the corresponding tags as well as the lines that include a node in the vertical ruler in the left area of the Source View.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Comment toggling and block commenting and uncommenting</span></span></strong>
            </p>
            <p class="noindent">
              <span class="paragraphHead"> </span>You can toggle an XML comment on and off by right-clicking and selecting “Source <span class="cmmi-10x-x-109">&gt;</span> Toggle Comment”. To comment on a section of source code, right-click on the selected area and select “Source <span class="cmmi-10x-x-109">&gt;</span> Add Block Comment”. To remove a comment, select “Source <span class="cmmi-10x-x-109">&gt;</span> Remove Block Comment”.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">As-you-type Validation</span></span></strong>
            </p>
            <p class="noindent">
              <span class="paragraphHead"> </span>While editing the document, errors found in the general XML syntax (such as missing quotes, missing brackets, or missing end tags) as well as validation errors (if a schema is specified) are indicated by red wavy underlining. A red icon at the top of the vertical ruler in the right area of the Source View will appear if the Document contains any errors. To find a description of the error, move your mouse cursor over the red marks shown in the vertical ruler in the right area of the Source View. A yellow icon indicates a warning.
            </p>
            <div class="figure">
              <p class="noindent">
                <img class="confluence-embedded-image" src="attachments/7439338/7766133.png" data-image-src="attachments/7439338/7766133.png" title="xml-validationerror-detail.png"/>
              </p>
              <div class="noprint">
                <div class="caption">
                  <div class="table-wrap">
                    <div class="table-wrap">
                      <table class="confluenceTable">
                        <tbody>
                          <tr class="confluenceTr">
                            <th class="confluenceTh">
                              As-you-type Validation
                            </th>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <div class="caption">
                <p>
                  <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Smart Insert</span></span></strong>
                </p>
              </div>
            </div>
            <p class="noindent">
              Typing elements and comments is supported by a Smart Insert mode: When you type an element, Smart Insert automatically completes the corresponding closing tag. Similarly, when you type the beginning of an XML comment <span class="cmmi-10x-x-109">&lt;</span>! --, Smart Insert completes the ending of the comment --<span class="cmmi-10x-x-109">&gt;</span>. The cursor is left in the middle of the comment tag so that you can proceed directly typing in the comment text. In the same line, opening quotes in attributes are completed with closing quotes while the cursor is left between them so you can directly start typing the value of the attribute. To toggle the Smart Insert mode on and off, click “Edit <span class="cmmi-10x-x-109">&gt;</span> Smart Insert Mode” in the menu bar and tick or untick the check mark.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Hover Help</span></span><span class="paragraphHead"> </span></strong>
            </p>
            <p class="paragraphHead">
              <span class="paragraphHead"> </span>Hover Help is displayed when users move the mouse cursor over an element or an attribute. It displays the content model of the current element or attribute and additional documentation information if included in the associated schema. Moving the mouse cursor over text that has been marked with red wavy underlining will display a description of the current problem. You can modify the Hover Help preferences in the relevant editor preferences.
            </p>
            <div class="figure">
              <p class="noindent">
                <img class="confluence-embedded-image" src="attachments/7439338/7766134.png" data-image-src="attachments/7439338/7766134.png" title="xml-hoverhelp-detail.png"/>
              </p>
              <div class="noprint">
                <div class="caption">
                  <div class="table-wrap">
                    <div class="table-wrap">
                      <table class="confluenceTable">
                        <tbody>
                          <tr class="confluenceTr">
                            <th class="confluenceTh">
                              Hover Help
                            </th>
                          </tr>
                        </tbody>
                      </table>
                    </div>
                  </div>
                </div>
              </div>
              <div class="caption">
                <p>
                   
                </p>
              </div>
            </div>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Content Assist</span></span></strong>
            </p>
            <p class="noindent">
              <span class="paragraphHead"> </span>When typing the opening bracket <span class="cmmi-10x-x-109">&lt;</span> of an element in the Source View field, Content Assist provides you with a list of suggested elements allowed at this position. You can activate Content Assist by clicking “Edit <span class="cmmi-10x-x-109">&gt;</span> Content Assist” in the menu bar at the top. When activating Content Assist while the cursor is at an attribute position, a list of suggested attributes allowed at this position is provided. Proposals come from a referenced content model if a schema is specified for the document or through the XML Catalog. You can modify the Content Assist preferences in the editor relevant preferences.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Quick Fix</span></span></strong>
            </p>
            <p class="noindent">
              Select “Edit <span class="cmmi-10x-x-109">&gt;</span> Quick Fix” in the menu bar on top to see a list of suggested corrections when positioning the cursor on a text section text that has been marked with red wavy underlining. Alternatively, right-click on the underlined text and select “Quick Fix”. If there are no problems or warnings at the selected position, Quick Fix proposals are not available.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Formatting</span></span></strong>
            </p>
            <p class="noindent">
              To make the XML document easier to read and better for printing, you can change the formatting options in the editor relevant preferences. You can apply formatting to the whole document by right-clicking in a non-highlighted area in your document and selecting “Source <span class="cmmi-10x-x-109">&gt;</span> Format”. To apply formatting to a highlighted area only, right-click in the selected area and select “Source <span class="cmmi-10x-x-109">&gt;</span> Format Active Elements”.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Cleanup</span></span></strong>
            </p>
            <p class="noindent">
              Simple errors in the XML document such as missing required attributes, missing start or end tags, or unquoted attributes can be corrected with XML Cleanup. You can open the “Cleanup” dialog box by right-clicking in the Editor and selecting “Source <span class="cmmi-10x-x-109">&gt;</span> Cleanup Document”. Alternatively, you can find it in the menu bar under “XML <span class="cmmi-10x-x-109">&gt;</span> Source <span class="cmmi-10x-x-109">&gt;</span> Cleanup Document”. Afterwards, set your Cleanup preferences in the dialog box; you can further select ’Format source’ in the box to apply formatting to the document.
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Team and Local History</span></span></strong>
            </p>
            <p class="noindent">
              A local edit history of an XML document is maintained when you create or modify the document. This history is accessible via “Team <span class="cmmi-10x-x-109">&gt;</span> Show Local History” in the context menu. Each time you edit and save the file, a copy is saved so that you can replace the current file with a previous edit or even restore a deleted file. You can also compare the contents of all the local edits. You can also “Apply Patch(es)” after selecting “Team” in the context menu. Select the resource (clipboard, file, URL or workspace) where the patch was generated in the “Patch Input Specification” dialog. This resource should contain the same file revisions as the line-up on which the patch was generated. For more information, please see the Eclipse documentation <a class="external-link" href="http://www.eclipse.org/documentation/" rel="nofollow"><span class="cmtt-10x-x-109">http://www.eclipse.org/documentation/</span></a>
            </p>
            <p class="noindent">
              <strong><span class="paragraphHead"><span class="cmbx-10x-x-109">Preferences</span></span></strong>
            </p>
            <p class="noindent">
              You can edit XML Editor-relevant preferences by right-clicking in the Source View editor and selecting “<a href="Preferences_9012401.html">Preferences</a>”. The following preferences can be edited:
            </p>
            <ul class="itemize1">
              <li class="itemize">Highlighting of the syntax elements: Expand the tree “XML <span class="cmmi-10x-x-109">&gt;</span> XML Files <span class="cmmi-10x-x-109">&gt;</span> Editor” on the left of the dialog box “Preferences” and select “Syntax Coloring”.
              </li>
              <li class="itemize">Hover Help: Expand the tree “General <span class="cmmi-10x-x-109">&gt;</span> Editors” to the left of the dialog box “Preferences” and then select “Structured Text Editors”. In the “Structured Text Editors” dialog box, select the “Hovers” Tab and tick the requested modifier preferences.
              </li>
              <li class="itemize">Content Assist: Expand the tree “XML <span class="cmmi-10x-x-109">&gt;</span> XML Files <span class="cmmi-10x-x-109">&gt;</span> Editor” on the left of the dialog box “Preferences” and select “Content Assist”. There you can choose the appropriate settings.
              </li>
              <li class="itemize">Formatting: Expand the tree “XML <span class="cmmi-10x-x-109">&gt;</span> XML Files” on the left of the dialog box “Preferences” and select “Editor”. In this dialog box you can choose and check the respective settings of the formatting function.
              </li>
            </ul>
            <p class="noindent">
              For more information, please see the Eclipse documentation:
            </p>
            <p class="noindent">
              <a class="external-link" href="http://www.eclipse.org/documentation/" rel="nofollow"><span class="cmtt-10x-x-109">http://www.eclipse.org/documentation/</span></a>
            </p>
          </div>
        </div>
      </div>
      <div id="footer" role="contentinfo">
        <section class="footer-body">
          
          <div id="footer-logo">
            <a href="http://www.atlassian.com/">Atlassian</a>
          </div>
        </section>
      </div>
    </div>
  </body>
</html>
